# Получение адреса

Метод позволяет:

* Получить адрес для пользователя в указанной монете и сети. При повторном запросе возвращается ранее созданный адрес, имеющий `isActive: true`
* Сгенерировать новый адрес для пользователя в указанной монете и сети, при указании параметра `renewAddress`. Новый адрес будет иметь `isActive: true`, а ранее выданные адреса с этой же монетой и сетью будут иметь `isActive: false`

Примечание: в любой момент у пользователя может быть только один активный адрес в одной монете и сети. Депозиты и выводы работают на всех адресах, вне зависимости от параметра `isActive`

{% openapi src="/files/X1afO3tUwak9QdphOSjI" path="/api-gateway/personal-addresses/get-user-address" method="post" %}
[openapi.json](https://2137468372-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FyOhoj9DD5mXL8tljp4Kp%2Fuploads%2Fgit-blob-c7502c7186093d67358d3eddf6a9a3abb7fd07f9%2Fopenapi.json?alt=media)
{% endopenapi %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.apollopayment.io/api-reference/personal_addresses/post_get-user-address.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
